From ae69779236192811b500c78e4f8b3a7454b53c55 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Dec 20 2023 06:32:53 +0000
Subject: [PATCH 11/19] [webkit2gtk]: tweak for i686 (FTBS)


---

diff --git a/nonprism/webkit2gtk/PKGBUILD b/nonprism/webkit2gtk/PKGBUILD
index f2568d2..ba0a66c 100644
--- a/nonprism/webkit2gtk/PKGBUILD
+++ b/nonprism/webkit2gtk/PKGBUILD
@@ -12,6 +12,8 @@
 #  - remove geoclue2 support
 #  - pinned to 'icu' sodep
 
+# NOTE: i686 currently fails to build (FS32#310)
+
 
 pkgbase=webkit2gtk
 pkgname=(
@@ -182,6 +184,14 @@ build() {
 
     # do not build JIT code on non-pentium4 (breaks in micro-optimizations)
     cmake_options+=( -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON -DENABLE_SAMPLING_PROFILER=OFF )
+
+    # Could NOT find GIDocgen (missing: GIDocgen_VERSION) (found version "")
+    # ENABLE_INTROSPECTION is needed for gi-docgen.
+    cmake_options+=( -DENABLE_DOCUMENTATION=OFF )
+
+    # Package 'gstreamer-webrtc-1.0' has version '1.16.2', required version is '>= 1.18.4'
+    # GStreamerTranscoder >= 1.20 is needed for USE_GSTREAMER_TRANSCODER.
+    cmake_options+=( -DUSE_GSTREAMER_TRANSCODER=OFF )
     ;;
   esac
   local parabola_options=( -DENABLE_GEOLOCATION=OFF )

